Package org.flowable.cmmn.api.history

# Interface HistoricPlanItemInstance

public interface HistoricPlanItemInstance

Author:
  Dennis Federico, Joram Barrez

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAssignee()`
  `String`
  `getCaseDefinitionId()`
  `String`
  `getCaseInstanceId()`
  `String`
  `getCompletedBy()`
  `Date`
  `getCompletedTime()`
  `Date`
  `getCreateTime()`
  `String`
  `getDerivedCaseDefinitionId()`
  `String`
  `getElementId()`
  `Date`
  `getEndedTime()`
  `String`
  `getEntryCriterionId()`
  `String`
  `getExitCriterionId()`
  `Date`
  `getExitTime()`
  `String`
  `getExtraValue()`
  `String`
  `getFormKey()`
  `String`
  `getId()`
  `Date`
  `getLastAvailableTime()`
  `Date`
  `getLastDisabledTime()`
  `Date`
  `getLastEnabledTime()`
  `Date`
  `getLastStartedTime()`
  `Date`
  `getLastSuspendedTime()`
  `Date`
  `getLastUnavailableTime()`
  `Date`
  `getLastUpdatedTime()`
  `String`
  `getName()`
  `Date`
  `getOccurredTime()`
  `String`
  `getPlanItemDefinitionId()`
  `String`
  `getPlanItemDefinitionType()`
  `Map<String,Object>`
  `getPlanItemInstanceLocalVariables()`
  `String`
  `getReferenceId()`
  `String`
  `getReferenceType()`
  `String`
  `getStageInstanceId()`
  `String`
  `getStartUserId()`
  `String`
  `getState()`
  `String`
  `getTenantId()`
  `Date`
  `getTerminatedTime()`
  `boolean`
  `isShowInOverview()`
  `boolean`
  `isStage()`
  `void`
  `setLocalizedName(String localizedName)`
  Sets an optional localized name for the plan item

- ## Method Details

  - ### getId

    String getId()

  - ### getName

    String getName()

  - ### getState

    String getState()

  - ### getCaseDefinitionId

    String getCaseDefinitionId()

  - ### getDerivedCaseDefinitionId

    String getDerivedCaseDefinitionId()

  - ### getCaseInstanceId

    String getCaseInstanceId()

  - ### getStageInstanceId

    String getStageInstanceId()

  - ### isStage

    boolean isStage()

  - ### getElementId

    String getElementId()

  - ### getPlanItemDefinitionId

    String getPlanItemDefinitionId()

  - ### getPlanItemDefinitionType

    String getPlanItemDefinitionType()

  - ### getCreateTime

    Date getCreateTime()

  - ### getLastAvailableTime

    Date getLastAvailableTime()

  - ### getLastUnavailableTime

    Date getLastUnavailableTime()

  - ### getLastEnabledTime

    Date getLastEnabledTime()

  - ### getLastDisabledTime

    Date getLastDisabledTime()

  - ### getLastStartedTime

    Date getLastStartedTime()

  - ### getLastSuspendedTime

    Date getLastSuspendedTime()

  - ### getCompletedTime

    Date getCompletedTime()

  - ### getOccurredTime

    Date getOccurredTime()

  - ### getTerminatedTime

    Date getTerminatedTime()

  - ### getExitTime

    Date getExitTime()

  - ### getEndedTime

    Date getEndedTime()

  - ### getLastUpdatedTime

    Date getLastUpdatedTime()

  - ### getStartUserId

    String getStartUserId()

  - ### getAssignee

    String getAssignee()

  - ### getCompletedBy

    String getCompletedBy()

  - ### getReferenceId

    String getReferenceId()

  - ### getReferenceType

    String getReferenceType()

  - ### getEntryCriterionId

    String getEntryCriterionId()

  - ### getExitCriterionId

    String getExitCriterionId()

  - ### getFormKey

    String getFormKey()

  - ### getExtraValue

    String getExtraValue()

  - ### isShowInOverview

    boolean isShowInOverview()

  - ### getTenantId

    String getTenantId()

  - ### setLocalizedName

    void setLocalizedName(String localizedName)
    Sets an optional localized name for the plan item

  - ### getPlanItemInstanceLocalVariables

    Map<String,Object> getPlanItemInstanceLocalVariables()